Community
cancel
Showing results for 
Search instead for 
Did you mean: 
momo93
Novice
118 Views

ngraph could not find compatible version

I have an error accured when i run cmake with CMakeLists the error 

CMake Error at CMakeLists.txt:3 (find_package):
Could not find a configuration file for package "ngraph" that is compatible
with requested version "".

The following configuration files were considered but not accepted:

C:/Program Files (x86)/Intel/openvino_2021.2.185/deployment_tools/ngraph/cmake/ngraphConfig.cmake, version: 0.0.0+176bdf5 (64bit)

 

this is my cmakelist

cmake_minimum_required(VERSION 3.0.0)
project(project_name)
find_package(ngraph REQUIRED)
find_package(InferenceEngine REQUIRED)
find_package(OpenCV REQUIRED)
add_executable(${PROJECT_NAME} src/main.cpp)
target_link_libraries(${PROJECT_NAME} PRIVATE ${InferenceEngine_LIBRARIES} ${OpenCV_LIBS} ${NGRAPH_LIBRARIES})

 

 

 

0 Kudos
6 Replies
IntelSupport
Community Manager
95 Views

Hi momo93,

Which OpenVINO samples or demos you are running? Please share your workaround for us to validate in our machine. That CMake error might be caused by the environment variables of OpenVINO Toolkit have not been set. You must set up the OpenVINO environment variables before you can compile and run any OpenVINO™ toolkit applications. Run the setupvars.sh script before executing any OpenVINO applications.

 

Command :

cd <INSTALL_DIR>/Intel\openvino_2021.2.185\bin

setupvars.bat

 

Regards,

Aznie

 


momo93
Novice
84 Views

Im not trying to run a samples, im trying to create my ouwn project from scratch. open cv and inference engine i can find with with find_package but ngraph I can't 

IntelSupport
Community Manager
79 Views

 

Hi momo93,

During the installation of OpenVINO Toolkit, did you verify the installation is completed? Make sure you can run any of the OpenVINO demos or samples to verify the installation. The ngraph is automatically installed by OpenVINO Toolkit. Please share your details workaround for us to replicate on our machine.

 

Regards,

Aznie


momo93
Novice
76 Views

Yes the installation is done successfully, I can run and build  all the samples successfully. the issue is when i want to create my own project with the previous  cmakeList its not working and gave me the above error. 

IntelSupport
Community Manager
47 Views

Hi momo93,

I have tested the CMake build on my machine and I am not getting the error as you mentioned. Please share your details workaround for us to duplicate and test on our machine. Meanwhile, my testing is referring to this documentation on how to Integrate the Inference Engine with Your Application.

https://docs.openvinotoolkit.org/latest/openvino_docs_IE_DG_Integrate_with_customer_application_new_...

 

Regards,

Aznie


IntelSupport
Community Manager
35 Views

Hi momo93,

This thread will no longer be monitored since we have provided a solution. If you need any additional information from Intel, please submit a new question. 


Regards,

Aznie